Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.engine
Class DiscountCalculatorFixedPrice

    java.lang.Object
      |
      +--com.bea.commerce.ebusiness.price.engine.AbstractDiscountCalculator
            |
            +--com.bea.commerce.ebusiness.price.engine.DiscountCalculatorFixedPrice

public class DiscountCalculatorFixedPrice
extends AbstractDiscountCalculator

Field Summary
`static java.lang.String` | `cName`

Fields inherited from class com.bea.commerce.ebusiness.price.engine.AbstractDiscountCalculator
`DEBUG`

Constructor Summary
`DiscountCalculatorFixedPrice()`

Method Summary
`void` | `calcNewPrice(DiscountModifier modifier, AdjustmentType type, QualificationDiscountId discountID, java.lang.String reason, java.util.List objects)` List of PoolObject(s).
`void` | `calcNewPrice(DiscountModifier modifier, AdjustmentType type, QualificationDiscountId discountID, java.lang.String reason, PoolObject object)`
`protected double` | `computeNewPrice(PoolObject object)`
`protected java.lang.String` | `getComputation()`

Methods inherited from class com.bea.commerce.ebusiness.price.engine.AbstractDiscountCalculator
`adjust, adjust, processList`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cName

    public static final java.lang.String cName

Constructor Detail

### DiscountCalculatorFixedPrice

    public DiscountCalculatorFixedPrice()

Method Detail

### calcNewPrice

    public void calcNewPrice(DiscountModifier modifier,
                             AdjustmentType type,
                             QualificationDiscountId discountID,
                             java.lang.String reason,
                             PoolObject object)

### calcNewPrice

    public void calcNewPrice(DiscountModifier modifier,
                             AdjustmentType type,
                             QualificationDiscountId discountID,
                             java.lang.String reason,
                             java.util.List objects)

  List of PoolObject(s).

### computeNewPrice

    protected double computeNewPrice(PoolObject object)

  Overrides:
    computeNewPrice in class AbstractDiscountCalculator

### getComputation

    protected java.lang.String getComputation()

  Overrides:
    getComputation in class AbstractDiscountCalculator

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved